Package ru.bitel.bgbilling.modules.email.server.bean

# Class JDBCEmailServiceActivator

java.lang.Object
ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator
ru.bitel.bgbilling.modules.email.server.bean.JDBCEmailServiceActivator

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    public class JDBCEmailServiceActivator
    extends EmailServiceActivator

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `JDBCEmailServiceActivator​(Domain domain, ParameterMap moduleSetup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `cancelImpl​(Account account)` |
  `void` | `close()` |
  `protected void` | `createImpl​(Account account)` |
  `protected void` | `finalize()` |
  `protected void` | `modifyImpl​(Account account)` |
  `protected void` | `removeDomainImpl​(Domain domain)` |
  `protected void` | `updateDomainImpl​(Domain domain)` |
  `protected void` | `updateForwards​(Account account)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator

  `cancel, create, modify, removeDomain, updateDomain`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JDBCEmailServiceActivator

    public JDBCEmailServiceActivator​(Domain domain, ParameterMap moduleSetup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`
    Overrides:
      `close` in class `EmailServiceActivator`

  - ### finalize

    protected void finalize() throws java.lang.Throwable
    Overrides:
      `finalize` in class `java.lang.Object`
    Throws:
      `java.lang.Throwable`

  - ### createImpl

    protected void createImpl​(Account account) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `createImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### modifyImpl

    protected void modifyImpl​(Account account) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `modifyImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateForwards

    protected void updateForwards​(Account account) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### cancelImpl

    protected void cancelImpl​(Account account) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `cancelImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeDomainImpl

    protected void removeDomainImpl​(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `removeDomainImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDomainImpl

    protected void updateDomainImpl​(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateDomainImpl` in class `EmailServiceActivator`
    Throws:
      `ru.bitel.bgbilling.common.BGException`